#!/bin/bash
contribution=$1

#dihedrals="0 30 60 90 120 150 180 m30 m60 m90 m120 m150 m180"
dihedrals="m30"
BASEDIR=$(dirname "$(realpath $0)")
echo "$BASEDIR"

cd $1

for ii in $dihedrals; do
    work_dir=dihedral_${ii}
    xyzfile=mil53nitro_$ii.xyz
    initfile=init_$ii.chk
    output_file=*.out
    echo "$work_dir"
    cd $work_dir
    if [ -f $output_file ] ; then
        rm $output_file
    fi
    python3 $BASEDIR/ysp.py $xyzfile $initfile >logfile_$ii
    cd ..
done


