#!/bin/bash
#SBATCH -N 1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=32
#SBATCH -p fat
#SBATCH --job-name=denspart_gpaw
#SBATCH -t 4-00:00

module load 2021
module load GPAW/21.6.0-foss-2021a
module load GPAW-setups/0.9.20000
denspart-from-gpaw output.gpw density.npz
denspart density.npz results.npz
