#!/bin/bash

BASEDIR=$(dirname "$(realpath $0)")
echo "$BASEDIR"

dihedrals="0 30_globalopt 60 90 120 150 180 m30 m60 m90 m120 m150 m180"
#dihedrals="globalm30"
pos=$BASEDIR/poscars


for ii in $dihedrals; do
    work_dir=dihedral_${ii}
    echo "$work_dir"
    if [ ! -d $work_dir ] ; then
        mkdir $work_dir
    fi

    cp $pos/${ii}_211.vasp $work_dir/POSCAR
    cp $BASEDIR/INCAR $work_dir/INCAR
    cp $BASEDIR/POTCAR $work_dir/POTCAR
    cp $BASEDIR/KPOINTS $work_dir/KPOINTS
    cd $BASEDIR/$work_dir
    /home/srinidhi/bin/vaspsubmit 1 128 thin 15:00:00 dihedral_${ii}
   cd ../ 
done

